var gFontSize = "1";
var glocal = window["localStorage"] || {};

//财经资讯页面改变字体大小函数,1是小字，2是大的,放在外面初始化的时候调用
function changeFontSize(size){
	if (size)
	{
		gFontSize = size.toString();
        glocal["FONT_SIZE"] = size;
	}


	if(gFontSize == '1'){

		$('.cj-content').css('font-size','16px');

		$('.cj-title').css('font-size','20px');
		$('.cj-subtitle').css('font-size','14px');
	}
	else{

		$('.cj-content').css('font-size','20px');
		$('.cj-title').css('font-size','20px');
		$('.cj-subtitle').css('font-size','14px');
	}
}

var _cjzx_config = {
    //西南证券
    "49":{
        iphoneSchema: '',
        iphoneDownUrl: 'https://e.swsc.com.cn/m/appdown/index.html',
        androidSchema: '',
        androidDownUrl: 'https://e.swsc.com.cn/m/appdown/index.html',
        pcDownUrl:"https://e.swsc.com.cn/m/appdown/index.html",
        downImage:"../images/app49.png",
        showDown:1,
        tailTxt:"<div>免责声明：</div><div style='font-size: 14px;'>本内容仅供参考，不作为投资决策的依据，西南证券不对因据此操作产生的盈亏承担任何责任！</div>"      
    },
    //国海证券
    "76":{
        iphoneSchema: 'ghzq://',
        iphoneDownUrl: 'https://itunes.apple.com/cn/app/id355667048',
        androidSchema: 'tdxandroidapp://',
        androidDownUrl: 'http://res.ghzq.cn/app/jbk_professional.apk',
        pcDownUrl:"",
        downImage:"../images/app76.png",
        showDown:1,
        tailTxt:"<div>免责声明：</div><div style='font-size: 14px;'>本内容仅供参考，不作为投资决策的依据，国海证券不对因据此操作产生的盈亏承担任何责任！</div>"    
    },
    "999":{
        iphoneSchema: '',
        iphoneDownUrl: 'https://itunes.apple.com/us/app/%E9%80%9A%E8%BE%BE%E4%BF%A1-%E4%B8%93%E4%B8%9A%E7%9A%84%E8%AF%81%E5%88%B8app/id907323628?l=zh&ls=1&mt=8',
        androidSchema: '',
        androidDownUrl: 'http://a.app.qq.com/o/simple.jsp?pkgname=com.tdx.AndroidNew',
        pcDownUrl:"http://www.tdx.com.cn/page_83.html",
        showDown:1,
        tailTxt:"<div>免责声明：</div><div style='font-size: 14px;'>本内容仅供参考，不作为投资决策的依据，本公司不对因据此操作产生的盈亏承担任何责任！</div>"           
    }
}

var mod_cjzx = {};

(function( exports) {
	//var g = require("appjs/globals");
	var gSwiper = undefined;
	var tailTxt = "";
	$(function() {

		main();
	});

	function main(){

        gFontSize = glocal["FONT_SIZE"] || "1";
		init();

		var obj = g.getParam();
		gSwiper = new NewsClick($("#box"), {rec_id:obj["clickindex"], zxflag:obj["param"]});

	}
	exports.main = main;

	function onErrReload($obj){
		if ($obj.length > 0)
		{
			var $par = $obj.closest("[rec_id]");
			if ($par && $par.length > 0){
				var rec_id = $par.attr("rec_id");
				gSwiper.refreshPage(rec_id, 1);
			}
			else
			{
				var obj = g.getParam();
				var zt = new ZJTemp($("#box"), {rec_id:obj["clickindex"], zxflag:obj["param"]})
			}

		}
	}
	window["onErrReload"] = onErrReload;

	function init()
	{
		var obj = g.getParam();
        tailTxt = "";
        var config = {
            showDown:0,
            iphoneSchema: "",
            iphoneDownUrl: "",
            androidSchema: "",
            androidDownUrl: "",
            pcDownUrl:"",
            downImage:"../images/app.png",
            tailTxt:"<div>免责声明：</div><div style='font-size: 14px;'>本内容仅供参考，不作为投资决策的依据，本公司不对因据此操作产生的盈亏承担任何责任！</div>"            
        }
        if (_cjzx_config[obj["qsid"]]){
            $.extend(true, config, _cjzx_config[obj["qsid"]]);
        }
        if (config.downImage){
            $("#downImg").attr("src", config.downImage);
        }
        tailTxt = config.tailTxt;

		$('.cj-download a img').on('click',function() {


			if(obj["_mob_system"] == 'Android'){
                //$('.cj-download a').prop('href',andHref);
                try {
                    if (config.androidSchema){
                        window.location = config.androidSchema;
                    }
                    if (config.androidDownUrl){
                        setTimeout(function(){
                            window.location=config.androidDownUrl; //android下载地址
     
                        },500);
                    }

                } catch(e) {}
			}
			else if(obj["_mob_system"]  == 'IOS'){
                var loadDateTime = new Date();
                if (config.iphoneDownUrl){
                    window.setTimeout(function() {
                        var timeOutDateTime = new Date();
                        if (timeOutDateTime - loadDateTime < 5000) {
                            window.location = config.iphoneDownUrl;//ios下载地址
                        } else {
                            window.close();
                        }
                    },25);
                }

                if (config.iphoneSchema){
                    window.location = this.iphoneSchema;
                }
                
			}
			else{
                //$('.cj-download a').prop('href',"#");
                if (config.pcDownUrl){
                    $('.cj-download a').prop('href',pcHref);
                }
				
				//alert('没有对应的app版本！');
			}

		});
        //微信里面不打开
		if(!obj["_open_app"] && !isWeixin() && config.showDown == 1){
			$('.cj-download').show();
			$('#close').show();
		}

		$('#close').on('click',function() {
			$('.cj-download').hide();
			$(this).hide();
		});

		//控制图片等比例显示
		var phoneWidth = document.body.clientWidth;
		var height = phoneWidth/5;
		$('.download').css('height',height+'px');
		$('.download a img').css('height',height+'px');
		//$('#close img').css('height','16px');
		$('#close').css('padding-top',height/2-9+'px');
	}

    function isWeixin(){
        var ua = navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == "micromessenger") {
            return true;
        } else {
            return false;
        }        
    }
	function initEvent(){

	}

	function ZJTemp($obj, options){
		var _self = this;

		_self.options = {
			rec_id :"",
			zxflag :""
		};
		_self.rec_id = "";
		_self.zxflag = "";
		_self.data = [];
		$.extend(true, _self.options, options);
		_self.$obj = $obj;



		_self.create = function() {
			_self.$obj.empty();

			_self.init();
			_self.update(_self.options);
		};

		_self.update = function(opt, reload ){

			if (!opt || !opt.rec_id) return;
			if (_self.rec_id && opt.rec_id == _self.rec_id )
			{
				if (reload == 1)
				{
					_self._update(_self.data)
				}


			}
			else
			{

				_self.rec_id = opt.rec_id;
				_self.zxflag = opt.zxflag;
				_self.load()
			}

		};

		_self.load = function(){
			_self.init();
			var rec_id = _self.rec_id;
			var zxflag = _self.zxflag || "1";
			zxflag = zxflag.replace(/7C/g, "")
			g.showErrTip(_self.$box, 101);

            var obj = g.getParam();
            var flag =  (zxflag == "1" && "101") || (zxflag == "2" && "801")  || zxflag;
            var proc = "mzx_content";
            //问达调用不同的存储过程
            if(obj.isWenDa == "1"){
                proc = "";
                flag = zxflag;
            }
			var flag = (zxflag == "1" && "101") || (zxflag == "2" && "801")  || zxflag;
			g.CallTQL(proc, [flag , rec_id], function(data){
				if (data.ErrorCode == 0)
				{
					var read = new g.NewsRead();

					var k = (zxflag == "101" && "1") || (zxflag == "801" && "2")  || zxflag;
					read.set({rec_id:rec_id, zxflag:k});
					var rows = data.tables[0].rows;

					if (rows.length < 1)
					{
						g.showErrTip(_self.$box, 1003);
					}
					else
					{
						g.showErrTip(_self.$box);
					}
					_self._update(rows);

				}
				else
				{
					g.showErrTip(_self.$box, 1003);
				}

			}, {"secuparse":true});
		};




		_self.init = function(){
			_self.$obj.empty();
			var height = $(window).height();
			// _self.$box = $('       <div class="cj-box" style="height: '+height+'px"> <div class="cj-t border" style="display: none">'
            _self.$box = $('       <div class="cj-box" > <div class="cj-t border" style="display: none">'
				+'<div class="cj-title"></div>'

				+'<div class="cj-subtitle"></div>'
				+'</div>'
				+'<div class="cj-down" id="cjDown"></div>'
				+'<div class="cj-c">'

				+'<div class="cj-content"></div>'
				+'<div class="cj-img"></div>'
				+'<div class="cj-link"></div>'
				+'<div class="cj-tail"></div>'



				+'</div></div>');
			_self.$box.appendTo(_self.$obj);

			_self.$obj.css("overflow-y","auto");

			//_self.$obj.css("-webkit-overflow-scrolling","touch");
			//:touch;

			var obj = g.getParam();
			if (obj._mob_system == "IOS") // ios 的 app 左右滑动 的时候，滚动不流畅， 暂时取消
			{
				_self.$obj.css("-webkit-overflow-scrolling","auto");
				_self.$obj[0].scrollTop = 0;
				_self.$obj.css("-webkit-overflow-scrolling","touch");
				//newsList = "";
			}
			else
			{
				_self.$obj[0].scrollTop = 0;
			}

		};
		_self._update = function(rows){
			_self.init();
			if (rows.length < 1) return;
			_self.data = rows;

			var infoSrc = rows[0].Info_Src || rows[0].jgmc || "通达信整理";

			var summary = rows[0].Summary || "";
			var content = rows[0].Contents  || rows[0].RichText||summary ||  "";
			var title = rows[0].Title || "";
			var date = rows[0].Issue_date || "";
			date = g.formatDate(3, date);
			var string = "<p>" + content;
			string = string.replace(/\r\n/g, "<br>");
			string = string.replace(/\r/g, "<br>");
			string = string.replace(/\n/g, "<br>");
			string=string.replace(/(<br>){1,}/g,"<br>");
			string=string.replace(/<br>/g,"</p><p>");

			string = string + "</p>";
			string = string.replace( /<p>\s*/g, "<p>" ); //去掉段首空格
			date = date.replace(/\-\d{6}/,'');
			_self.$box.find(".cj-t").show();
			_self.$box.find(".cj-title").html(title);
			_self.$box.find(".cj-subtitle").html(date+'&nbsp&nbsp来源：'+infoSrc);
			_self.$box.find(".cj-content").html(string);
			_self.$box.find(".cj-tail").html(tailTxt);
            var obj = g.getParam();
			if (infoSrc == "智通财经")
			{
				_self.$box.find(".cj-content img").remove();
			}
			var downLink = "";
			if ( ["1", "101"].indexOf(_self.zxflag) != -1 )
			{
          
				if (["巨潮资讯", "股份转让系统"].indexOf(rows[0].Info_Src) != -1 && rows[0].Url && /pdf$/i.test(rows[0].Url)) // 巨潮资讯的附件为PDF的
				{
					downLink  = rows[0].Url;
				}
				else if (rows[0].AttachFile &&  /pdf$/i.test(rows[0].AttachFile))
				{
					downLink = g.formatZxUrl(rows[0].Issue_date, _self.rec_id, rows[0].AttachFile);

				}

			}
			//else if (["2", "801"].indexOf(_self.zxflag) != -1 && rows[0].T014 && rows[0].T018 =="pdf")
			//{
			//	downLink = g.formatYbUrl(rows[0].Issue_date, rows[0].T014, rows[0].Title, rows[0].T018);
			//}


			if (downLink && downLink.length > 0)
			{
				var fileTitle = rows[0].Title + ".pdf" ;
				_self.$box.find(".cj-down").html("<div class='cj-down-link' href='javascript:void(0)' >附件:"+fileTitle+"</div>");
				//_self.$box.find(".cj-down").unbind("click").bind("click", function(event){
				//	$(this).removeClass("sel");
				//	var param = {
				//		File:downLink ,
				//		FileType:"Remote"
				//	};
				//	__webCallTql.send("tdxOpenPDF", param, "");
				//});

				_self.$box.find(".cj-down").unbind("touchstart").bind("touchstart", function(event){
					$(this).removeClass("sel").addClass("sel");
					console.log(event.target)

				});
				_self.$box.find(".cj-down").unbind("touchend").bind("touchend", function(event){
					// console.log($(this).hasClass("sel"))
					if (!$(this).hasClass("sel")) return;
					$(this).removeClass("sel");
					var param = {
						OpenName:title,
                        OpenParam:{
							File:downLink ,
							FileType:"Remote"
						}
					};
					if (obj["_mob_system"] == "IOS")
					{
						param["OpenType"]="browser";
					}
					__webCallTql.send("tdxOpenPDF", param, "");
				});
				_self.$box.find(".cj-down").unbind("touchmove").bind("touchmove", function(event){

					$(this).removeClass("sel");

				});
			}
			if (rows[0].AttachPoto)
			{
				var imgUrl = g.formatZxUrl(rows[0].Issue_date, _self.rec_id, rows[0].AttachPoto);
				_self.$box.find(".cj-img").html("<img src='"+imgUrl+"'>");
			}

			$(".cj-content").find("table").attr("cellspacing", "0").attr("cellpadding", "0").attr("border", "0")
			changeFontSize();
			$(".cj-content span").each(function(){
				var ogp = $(this).attr("id")
				if ( !ogp || !/^stock_/.test(ogp)) return;
				ogp = ogp.split("_");
				if(ogp 	&& ogp.length == 3 && ogp[0] == "stock") {
					$(this).removeClass("stock-link").addClass("stock-link");
					var name = $(this).text() || "";
					$(this).bind("click",function(){
						g.goStock($(this));
					});
				}
			});
			$(".cj-content img").each(function(){
				var width=$(window).width() - 60;
				$(this).css("width", width + "px");
				$(this).css("margin-left", "-15px");
			});

		};
		_self.create();
	}



	function NewsClick($obj, options){
		var _self = this;
		_self.rec_id = options["rec_id"] || "";
		_self.newsList = [];
		_self.newsInfo = {};
		_self.canMove = 0;
		_self.$obj = $obj;
		_self.swipe = undefined;


		_self.create = function(){
			var obj = g.getParam();
			var newsList = obj["newslist"] || "";
			newsList = ""; // 由于滑动影响滑动返回 的功能，暂时取消

		
			_self.$obj.empty();
			if (newsList)
			{

				var aList = newsList.split(",");

				aList.forEach(function(val, index){

					if (val && val.match(/undefined/) == null)
					{
						val = val.replace(/\%7C/g, "|");
						var a = val.split("|");

						var rec_id = a.length > 0?a[0]:"";
						var zxflag = a.length > 1?a[1]:"1";
						if (rec_id)
						{

							_self.newsList.push(rec_id);
							var o = {rec_id:rec_id, zxflag:zxflag};
							_self.newsInfo[rec_id] = o;

						}
					}
				});


			}

			//alert(_self.rec_id)
			//alert(_self.newsList)
			if (_self.newsList.length >0 && _self.newsList.indexOf(_self.rec_id) != -1)
			{
				var s = ' <div class="swiper-container"> <div class="swiper-wrapper"  id="swipBox"> </div> </div>';
				_self.$obj.append(s);
				var $swip = $("#swipBox");
				_self.newsList.forEach(function(val, index){
					var s = g.printf('<div class="swiper-slide" rec_id="{rec_id}" zxflag="{zxflag}" ></div>', _self.newsInfo[val]);
					$swip.append(s);
				});
				var index = _self.newsList.indexOf(_self.rec_id) || 0;
				_self.swipe = new Swiper('.swiper-container', {
					autoHeight:true,
					touchAngle : 30,
					initialSlide:index,
					onSlideChangeStart: function(swiper){
						_self.refreshPage(swiper.activeIndex)

					},
					onSlideChangeEnd: function(swiper){
						_self.autoLock(swiper, swiper.activeIndex);

					},
					onInit:function(swiper)
					{

						_self.refreshPage(swiper.activeIndex);
						_self.autoLock(swiper, swiper.activeIndex);
					}

				})
			}
			else
			{
				//alert('one zx')
				var zt = new ZJTemp(_self.$obj, options)
			}



		};

		_self.autoLock = function(swiper ,index){
			if (index == 0)
			{
				swiper.lockSwipeToPrev();
			}
			else
			{
				swiper.unlockSwipeToPrev();
			}
			if (index >= _self.newsList.length -1)
			{
				swiper.lockSwipeToNext();
			}
			else
			{
				swiper.unlockSwipeToNext();
			}
		};
		_self.refreshPage = function(index, bFlag)
		{
			var  rec_id = (parseInt(index) > 1000 && index) || _self.newsList[index] || "";
			console.log(rec_id);
			if (rec_id)
			{
				var $obj = _self.$obj.find("[rec_id='"+rec_id+"']");
				var bRead = $obj.attr("bread") || "0";
				if (bRead == "0" || bFlag == 1)
				{
					$obj.attr("bread", "1");
					var zt = new ZJTemp($obj, _self.newsInfo[rec_id]);
				}

			}
		};

		_self.create();


	}




})(mod_cjzx);

