window.onload = function(){

	var url = window["tdx"].getUrlParam(window.location.href); 
	var L2Flag = url.hasLevelTwo;
	if(L2Flag == 0){
		$('#btn1').attr('src', './images/upload-off.png');
		$('#btn2').attr('src', './images/load-off.png');
	}

	var msgMap = {
		"btn1": function(){
			syncData("UpAllData");
		},
		"btn2": function(){
			syncData("DownAllData");
		},
		"btn3": function(){
			backupData(0);
			//getBackupTime()
		},
		"btn4": function(){
			backupData(1);
		}
	};

	myAlert = function(obj){
		$('.sync').each(function(index, element){
			var $this = $(element);
			var id = $this.prop('id');
			if((L2Flag == 0) && (id == 'btn1'|| id == 'btn2')){
				$this.click(function(event){
					event.preventDefault();
				});
			} else {
				$this.unbind('click').bind('click', function(){
					obj[id]();
				});
			}
			
		});
	}
	
	myAlert(msgMap);

	$('#sure-btn').unbind('click').bind('click', function(){
		$('#msg-bk').css('display', 'none');
	});

	$('#localBackup p span').text(localStorage.strDate ? localStorage.strDate : '');
}; 

//自动同步功能
// function autoSync(flag){
// 	__webCallTql.send("tdxOpenAutoSync", {"OpenFlag":flag}, function (data) {});
// }


//手动同步上传下载数据
function syncData(flag){
	__webCallTql.send("tdxSyncData", {"OperType":flag}, function (data) {
		var result = FormatResult(data);
		$('#msg-bk').css('display', 'block');
		if(result.ErrorCode != 0){
			if(result.ErrorInfo){
				$('#alert-msg p').text(result.ErrorInfo);
			}else{
				$('#alert-msg p').text("请求发送失败！");
			}	
		}
	});
}

function backupData(flag){
	__webCallTql.send("tdxBackUpData", {"OperType":flag}, function (data) {
		//alert(data);
		var result = FormatResult(data);
		if( flag == 0 && result.ErrorCode == 0){
			getBackupTime();
		}
	});
}

function getBackupTime(){
	var date = new Date();
	localStorage.strDate = date.toLocaleString().replace(/[-]/g, '/').replace(/^\d{2}/, '');
	$('#localBackup p span').text(localStorage.strDate);
}
